Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class ProjectReportsPlugin

    java.lang.Object
      org.gradle.api.plugins.ProjectReportsPlugin

All Implemented Interfaces:
  Plugin

    public class ProjectReportsPlugin

A Plugin which adds some project visualization report tasks to a project.

Field Summary
`static String` | `DEPENDENCY_REPORT`
`static String` | `PROJECT_REPORT`
`static String` | `PROPERTY_REPORT`
`static String` | `TASK_REPORT`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEPENDENCY_REPORT

    public static final String DEPENDENCY_REPORT

### PROJECT_REPORT

    public static final String PROJECT_REPORT

### PROPERTY_REPORT

    public static final String PROPERTY_REPORT

### TASK_REPORT

    public static final String TASK_REPORT

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.1-rc-1